pipeline {
    agent any
    environment {
        cpu = 256
        memory = 1000
        MY_ECR_1 = '521109999080743.dkr.ecr.ap-south-1.amazonaws.com/sample-app-repository'
        MY_ECR_2 = '521109999080743.dkr.ecr.ap-south-1.amazonaws.com/sample-db-repository'
        }
     stages {
    /*    stage('Build_Image') {
            steps {
                echo 'Pull and tag image..'
				sh "sudo docker pull tomcat:latest"
				sh "sudo docker tag tomcat:latest $MY_ECR_1:latest"
				sh "sudo docker pull mysql:latest"
				sh "sudo docker tag mysql:latest $MY_ECR_2:latest"
            }
        }
        stage('PushImage_to_ECR') {
            steps {
                echo 'Push Image..'
                sh "sudo /root/sai/ecr_docker_login.sh"
				sh "sudo docker push $MY_ECR_1:latest"
				sh "sudo docker push $MY_ECR_2:latest"
            }
        } */
        stage('Deploy_to_ECS') {
            steps {
                echo 'Deploying....'
				echo 'Task Definition..'
				//sed -e 's/$cpu/'$cpu'/' -e 's/$memory/'$memory'/' my.json > my-new.json
				sh '''
				    sed -e 's/$cpu/"$cpu"/' -e 's/$memory/"$memory"/' my.json > my-new.json
				'''
				sh "cat my-new.json"
				
            }
        }
    }
}